package com.yijia.station.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 油站信息对象 station_info
 * 
 * @author yijia
 * @date 2020-12-08
 */
public class StationInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增主键id */
    private Long stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    /** 油站地址 */
    @Excel(name = "油站地址")
    private String stationAddress;

    /** 油枪数量 */
    @Excel(name = "油枪数量")
    private Long oilGunNum;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contacts;

    /** 电话 */
    @Excel(name = "电话")
    private String phone;

    /** 所属集团id */
    @Excel(name = "所属集团id")
    private Long stationGroupId;

    /** 所属集团名称 */
    @Excel(name = "所属集团名称")
    private String stationGroupName;

    /** 油站照片 */
    @Excel(name = "油站照片")
    private String stationPic;

    /** 油站经度 */
    @Excel(name = "油站经度")
    private String stationLongitude;

    /** 油站纬度 */
    @Excel(name = "油站纬度")
    private String stationLatitude;

    /** 商户编码（随行付商户码） */
    @Excel(name = "商户编码", readConverterExp = "随=行付商户码")
    private Long mno;

    public void setStationId(Long stationId) 
    {
        this.stationId = stationId;
    }

    public Long getStationId() 
    {
        return stationId;
    }
    public void setStationName(String stationName) 
    {
        this.stationName = stationName;
    }

    public String getStationName() 
    {
        return stationName;
    }
    public void setStationAddress(String stationAddress) 
    {
        this.stationAddress = stationAddress;
    }

    public String getStationAddress() 
    {
        return stationAddress;
    }
    public void setOilGunNum(Long oilGunNum) 
    {
        this.oilGunNum = oilGunNum;
    }

    public Long getOilGunNum() 
    {
        return oilGunNum;
    }
    public void setContacts(String contacts) 
    {
        this.contacts = contacts;
    }

    public String getContacts() 
    {
        return contacts;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setStationGroupId(Long stationGroupId) 
    {
        this.stationGroupId = stationGroupId;
    }

    public Long getStationGroupId() 
    {
        return stationGroupId;
    }
    public void setStationGroupName(String stationGroupName) 
    {
        this.stationGroupName = stationGroupName;
    }

    public String getStationGroupName() 
    {
        return stationGroupName;
    }

    public String getStationPic() {
        return stationPic;
    }

    public void setStationPic(String stationPic) {
        this.stationPic = stationPic;
    }

    public void setStationLongitude(String stationLongitude)
    {
        this.stationLongitude = stationLongitude;
    }

    public String getStationLongitude() 
    {
        return stationLongitude;
    }
    public void setStationLatitude(String stationLatitude) 
    {
        this.stationLatitude = stationLatitude;
    }

    public String getStationLatitude() 
    {
        return stationLatitude;
    }
    public void setMno(Long mno) 
    {
        this.mno = mno;
    }

    public Long getMno() 
    {
        return mno;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("stationAddress", getStationAddress())
            .append("oilGunNum", getOilGunNum())
            .append("contacts", getContacts())
            .append("phone", getPhone())
            .append("stationGroupId", getStationGroupId())
            .append("stationGroupName", getStationGroupName())
            .append("stationPic", getStationPic())
            .append("stationLongitude", getStationLongitude())
            .append("stationLatitude", getStationLatitude())
            .append("mno", getMno())
            .toString();
    }
}
